<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMarkersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('markers', function (Blueprint $table) {
            $table->increments('id');
            $table->double('latitude', 9, 7);
            $table->double('longitude', 9, 7);
            $table->enum('type', ['kultovni_objekt', 'kostel', 'ropik', 'vyrobni_objekt', 'dum', 'studna']);
            $table->string('title', 50);
            $table->string('description', 254);
            $table->string('bibliography', 254);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('markers');
    }
}
